define("ballooniesIXFComponentsPaytableApi", ["componentmodelComponentApi", "slotModelApi", "gameLayoutApi", "clientkernelEventbusApi", "moneyApi"],
    function(componentmodelComponentApi, slotModelApi, gameLayoutApi, clientkernelEventbusApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof ballooniesIXFComponentsPaytableApi == 'undefined') {
            var ballooniesIXFComponentsPaytableApi = {};
        };
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration = function() {};
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration = ck_implements(ballooniesIXFComponentsPaytableApi.PaytableDeclaration, componentmodelComponentApi.IComponentDeclaration);
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration.__name__ = ["ballooniesIXFComponentsPaytableApi", "PaytableDeclaration"];
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration.prototype.getImplementedPorts = function() {
            return [ballooniesIXFComponentsPaytableApi.IPaytableImplementationPort];
        };
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration.prototype.getUsedPorts = function() {
            return [gameLayoutApi.IGameLayoutPort, slotModelApi.ISlotModelPort];
        };
        ballooniesIXFComponentsPaytableApi.PaytableDeclaration.prototype.__class__ = ballooniesIXFComponentsPaytableApi.PaytableDeclaration;

        ballooniesIXFComponentsPaytableApi.IPaytableImplementationPort = function() {}
        ballooniesIXFComponentsPaytableApi.IPaytableImplementationPort.prototype = {

            show: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            hide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setPreviousPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setNextPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onPageChanged: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onCloseButtonPressed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        ballooniesIXFComponentsPaytableApi.IPaytablePort = function() {}
        ballooniesIXFComponentsPaytableApi.IPaytablePort.prototype = {

            show: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            hide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setPreviousPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            setNextPage: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onPageChanged: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            onCloseButtonPressed: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort = function(bus) {
            this.onCloseButtonPressedTopic = new clientkernelEventbusApi.Topic("paytable:onCloseButtonPressed");
            this.onPageChangedTopic = new clientkernelEventbusApi.Topic("paytable:onPageChanged");
            this.setPreviousPageTopic = new clientkernelEventbusApi.Topic("paytable:setPreviousPage");
            this.setNextPageTopic = new clientkernelEventbusApi.Topic("paytable:setNextPage");
            this.hideTopic = new clientkernelEventbusApi.Topic("paytable:hide");
            this.showTopic = new clientkernelEventbusApi.Topic("paytable:show");
            this.showTopic.connect(bus);
            this.hideTopic.connect(bus);
            this.setNextPageTopic.connect(bus);
            this.setPreviousPageTopic.connect(bus);
            this.onPageChangedTopic.connect(bus);
            this.onCloseButtonPressedTopic.connect(bus);
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort = ck_implements(ballooniesIXFComponentsPaytableApi.PaytablePort, ballooniesIXFComponentsPaytableApi.IPaytablePort);
        ballooniesIXFComponentsPaytableApi.PaytablePort = ck_implements(ballooniesIXFComponentsPaytableApi.PaytablePort, ballooniesIXFComponentsPaytableApi.IPaytableImplementationPort);
        ballooniesIXFComponentsPaytableApi.PaytablePort.__interfaces__ = [ballooniesIXFComponentsPaytableApi.IPaytablePort, ballooniesIXFComponentsPaytableApi.IPaytableImplementationPort];
        ballooniesIXFComponentsPaytableApi.PaytablePort.__name__ = ["ballooniesIXFComponentsPaytableApi", "PaytablePort"];
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.showTopic = null;
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.hideTopic = null;
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.setNextPageTopic = null;
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.setPreviousPageTopic = null;
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.onPageChangedTopic = null;
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.onCloseButtonPressedTopic = null;
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.show = function() {
            return this.showTopic;
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.hide = function() {
            return this.hideTopic;
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.setPreviousPage = function() {
            return this.setPreviousPageTopic;
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.setNextPage = function() {
            return this.setNextPageTopic;
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.onPageChanged = function() {
            return this.onPageChangedTopic;
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.onCloseButtonPressed = function() {
            return this.onCloseButtonPressedTopic;
        };
        ballooniesIXFComponentsPaytableApi.PaytablePort.prototype.__class__ = ballooniesIXFComponentsPaytableApi.PaytablePort;
        ballooniesIXFComponentsPaytableApi.PaytablePortFactory = function() {};
        ballooniesIXFComponentsPaytableApi.PaytablePortFactory = ck_implements(ballooniesIXFComponentsPaytableApi.PaytablePortFactory, componentmodelComponentApi.IPortFactory);
        ballooniesIXFComponentsPaytableApi.PaytablePortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        ballooniesIXFComponentsPaytableApi.PaytablePortFactory.__name__ = ["ballooniesIXFComponentsPaytableApi", "PaytablePortFactory"];
        ballooniesIXFComponentsPaytableApi.PaytablePortFactory.prototype.provide = function(channel) {
            return new ballooniesIXFComponentsPaytableApi.PaytablePort(channel);
        };
        ballooniesIXFComponentsPaytableApi.PaytablePortFactory.prototype["use"] = function(channel) {
            return new ballooniesIXFComponentsPaytableApi.PaytablePort(channel);
        };
        ballooniesIXFComponentsPaytableApi.PaytablePortFactory.prototype.__class__ = ballooniesIXFComponentsPaytableApi.PaytablePortFactory;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: ballooniesIXFComponentsPaytableApi
        };
    });
//# sourceURL=ballooniesIxfPaytableApi.js